osl::rating::BigramAttackGroup Class Reference

`#include <bigramGroup.h>`

Inheritance diagram for osl::rating::BigramAttackGroup:

## Public Member Functions

| BigramAttackGroup (bool same, bool focus_x)
void | show (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
int | findMatch (const NumEffectState &state, Move m, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const std::vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, std::vector< double > &weights) const
virtual bool | effectiveInCheck () const

## Static Public Member Functions

static std::string | name (bool same, bool focus_x)

## Private Attributes

bool | same
bool | focus_x

## Additional Inherited Members

Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 13 of file bigramGroup.h.

## Constructor & Destructor Documentation

## BigramAttackGroup()

osl::rating::BigramAttackGroup::BigramAttackGroup | ( | bool | same,
|  | bool | focus_x )

Definition at line 13 of file bigramGroup.cc.

References focus_x, osl::rating::Group::Group(), name(), and same.

## Member Function Documentation

## findMatch()

int osl::rating::BigramAttackGroup::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env ) const

virtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 29 of file bigramGroup.cc.

References focus_x, osl::rating::BigramAttack::index(), and same.

## name()

std::string osl::rating::BigramAttackGroup::name | ( | bool | same,
|  | bool | focus_x )

static

Definition at line 6 of file bigramGroup.cc.

References focus_x, and same.

Referenced by BigramAttackGroup().

## show()

void osl::rating::BigramAttackGroup::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 20 of file bigramGroup.h.

References osl::rating::Group::showTopN().

## Member Data Documentation

## focus_x

bool osl::rating::BigramAttackGroup::focus_x

private

Definition at line 15 of file bigramGroup.h.

Referenced by BigramAttackGroup(), findMatch(), and name().

## same

bool osl::rating::BigramAttackGroup::same

private

Definition at line 15 of file bigramGroup.h.

Referenced by BigramAttackGroup(), findMatch(), and name().

The documentation for this class was generated from the following files:

- bigramGroup.h
- bigramGroup.cc